## pycuda 2011.2.2

=== pycuda/compyte/ndarray/Makefile ===
all: pygpu_ndarray.so

PYTHONVERSION ?= $(shell python -c "import sysconfig; print sysconfig.get_python_version()")
CUDA_ROOT ?= /opt/lisa/os/cuda
THEANO_ROOT ?= /u/bastienf/repos/Theano


CFLAGS=-g -DDEBUG -DOFFSET
# By default enable the OFFSET usage. Otherwise some test fail.
CFLAGS=-g -DOFFSET
#BINDIR=--compiler-bindir ${HOME}/.theano.nvcc-bindir

#NPY_PATH!=python -c "import numpy;print numpy.__path__"
#NPY_INCLUDE=-I${NPY_PATH}/core/include
CUDA_INCLUDE=-I${CUDA_ROOT}/include
PYTHON_INCLUDE=-I$(shell python -c "import sysconfig;print sysconfig.get_path('include')")
INCLUDES=${CUDA_INCLUDE} ${PYTHON_INCLUDE}
CUDA_FLAGS=-Xlinker -rpath,${CUDA_ROOT}/lib64 -Xlinker -rpath,${CUDA_ROOT}/lib

pygpu_language_cuda.o: pygpu_language_cuda.cu pygpu_language.h
	nvcc -c ${CFLAGS} -m64 -Xcompiler -fPIC,-m64 ${CUDA_FLAGS} ${INCLUDES} ${BINDIR} -o $@ $<

pygpu_ndarray.so: pygpu_ndarray.cpp pygpu_ndarray.h pygpu_language_cuda.o pygpu_ndarray_object.h
	nvcc -shared ${CFLAGS} -m64 -Xcompiler -fPIC,-m64 ${CUDA_FLAGS} ${INCLUDES} ${BINDIR} -o $@ pygpu_language_cuda.o $< -lpython${PYTHONVERSION} -lcublas -lcudart

clean:
	rm -f pygpu_ndarray.so core.* *.o *~
	rm -rf build

cleantmp:
	rm -f core.* *.o *~

## pycuda 2011.1.3+git20110814

=== debian/changelog ===
pycuda (2011.1.3+git20110814-1) unstable; urgency=low

  * Initial release (Closes: #546919)
  * Add option in debian/source/ to unapply patches after build.
  * Add override python-py of pytest package
  * Change build scripts to build library for all available Python versions
  * Change package to use python-setuptools package instead of downloading it
  * Delete jquery.js and replace it with link to script from libjs-jquery
  * Force build scripts not to use boost libraries included in the source
  * Remove messages about missing Boost libraries; they are superfluous
    as package is using Debian ones

 -- Tomasz Rybak <bogomips@post.pl>  Sat, 20 Aug 2011 23:02:55 +0200

=== debian/control ===
Source: pycuda
Section: contrib/python
Priority: optional
Maintainer: Tomasz Rybak <bogomips@post.pl>
Build-Depends: debhelper (>= 8),
 python-all-dev,
 python-setuptools,
 libcuda1-dev | libcuda1 | nvidia-current,
 nvidia-cuda-toolkit,
 libboost-python-dev,
 libboost-thread-dev,
 mesa-common-dev,
 python-numpy,
 python-matplotlib,
 python-sphinx (>= 1.0.7+dfsg),
 python-pytools (>= 2011.3)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://mathema.tician.de/software/pycuda
Vcs-Git: git://git.debian.org/git/collab-maint/python-pycuda.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pycuda.git

Package: python-pycuda
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 nvidia-cuda-toolkit,
 python-numpy,
 python-matplotlib,
 python-pytools (>= 2011.3)
Recommends: python-pycuda-doc,
 python-mako
Suggests: python-opengl
Description: module to access Nvidia‘s CUDA parallel computation API
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.

Package: python-pycuda-doc
Section: contrib/doc
Architecture: all
Depends: ${sphinxdoc:Depends},
 ${misc:Depends}
Recommends: python-pycuda,
 nvidia-cuda-doc
Description: module to access Nvidia‘s CUDA parallel computation API (documentation)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains HTML documentation and example scripts.

=== debian/rules ===
#! /usr/bin/make -f

PACKAGE_NAME=python-pycuda

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_configure:
	./configure.py --boost-python-libname=boost_python-py \
		--boost-thread-libname=boost_thread \
		--cuda-root=/usr --cuda-enable-gl

override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	$(MAKE) -C doc html

override_dh_auto_install:
	dh_auto_install --buildsystem=python_distutils --destdir=debian/$(PACKAGE_NAME)

override_dh_compress:
	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv

MODULE_NAME=pycuda
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
	| sed -rne 's/^Version: ([^-]+).*/\1/p')
GIT_REVISION=a3b6308883eca90957afe0195bbcce2ba4e7657d
GIT_SUBMODULES=pycuda/compyte
GIT_URL=http://git.tiker.net/trees/pycuda.git 

get-orig-source:
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/examples/.gitignore
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.gitignore
	tar czf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)

## pycuda 2011.2.2

=== debian/changelog ===
pycuda (2011.2.2-1) unstable; urgency=low

  * New upstream release with support for CUDA 4.1.

 -- Tomasz Rybak <bogomips@post.pl>  Wed, 14 Dec 2011 14:57:51 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python-numpy,
  python-matplotlib,
  python-sphinx (>= 1.0.7+dfsg),
- python-pytools (>= 2011.3)
+ python-pytools (>= 2011.5)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
 Homepage: http://mathema.tician.de/software/pycuda
@@ -26,10 +26,11 @@
  nvidia-cuda-toolkit,
  python-numpy,
  python-matplotlib,
- python-pytools (>= 2011.3)
+ python-pytools (>= 2011.5)
 Recommends: python-pycuda-doc,
  python-mako
-Suggests: python-opengl
+Suggests: python-opengl,
+ python-py
 Description: module to access Nvidia‘s CUDA parallel computation API
  PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
  Several wrappers of the CUDA API already exist–so what’s so special about

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=a3b6308883eca90957afe0195bbcce2ba4e7657d
+GIT_REVISION=a6b0a7589c5cb0a4dad35df5f2b66d6d374eefe5
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=http://git.tiker.net/trees/pycuda.git

## pycuda 2012.1

=== debian/changelog ===
pycuda (2012.1-1) unstable; urgency=low

  * New upstream release.
  * Change my email.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 21 Jun 2012 23:41:50 +0200

pycuda (2011.2.2+git20120601-1) unstable; urgency=low

  * New upstream release.
  * Rebuild against Boost 1.49. Closes: #672745
  * Create separate python-pycuda-headers package preparing for
    Python 3 package.
  * Move python-pyopengl from Recommends to Suggests because package
    can be used for computations without any graphical environment.
  * Update Standards-Version to 3.9.3.
  * Update debian/copyright to official 1.0 format.
  * Update debian/compat to 9, update dependencies.
  * Call dh_numpy in debian/rules for NumPy ABI and ABI dependencies.

 -- Tomasz Rybak <bogomips@post.pl>  Tue, 05 Jun 2012 18:04:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: pycuda
 Section: contrib/python
 Priority: optional
-Maintainer: Tomasz Rybak <bogomips@post.pl>
-Build-Depends: debhelper (>= 8),
+Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Build-Depends: debhelper (>= 9),
  python-all-dev,
  python-setuptools,
  libcuda1-dev | libcuda1 | nvidia-current,
@@ -10,28 +10,58 @@
  libboost-python-dev,
  libboost-thread-dev,
  mesa-common-dev,
- python-numpy,
- python-matplotlib,
+ python-numpy (>= 1:1.4.1-4~),
  python-sphinx (>= 1.0.7+dfsg),
  python-pytools (>= 2011.5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Git: git://git.debian.org/git/collab-maint/python-pycuda.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pycuda.git
+
+Package: python-pycuda-headers
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: python-pycuda-doc,
+ python-pycuda,
+ python3-pycuda
+Replaces: python-pycuda (<< 2011.2.2+git20120523-1)
+Breaks: python-pycuda (<< ${source:Version}),
+ python3-pycuda (<< ${source:Version})
+Description: headers for Python module to access Nvidia‘s CUDA parallel computation API
+ PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
+ Several wrappers of the CUDA API already exist–so what’s so special about
+ PyCUDA?
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and crash-free
+    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
+    detach from a context before all memory allocated in it is also freed.
+  * Convenience. Abstractions like pycuda.driver.SourceModule and
+    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
+    with Nvidia’s C-based runtime.
+  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
+    disposal, if you wish.
+  * Automatic Error Checking. All CUDA errors are automatically translated
+    into Python exceptions.
+  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful Documentation.
+ .
+ This package contains header files used by PyOpenCL modules.
 
 Package: python-pycuda
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  nvidia-cuda-toolkit,
  python-numpy,
- python-matplotlib,
- python-pytools (>= 2011.5)
+ python-pytools (>= 2011.5),
+ python-pycuda-headers (= ${source:Version})
 Recommends: python-pycuda-doc,
  python-mako
-Suggests: python-opengl,
- python-py
-Description: module to access Nvidia‘s CUDA parallel computation API
+Suggests: python-pytest,
+ python-opengl,
+ python-matplotlib
+Description: Python module to access Nvidia‘s CUDA parallel computation API
  PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
  Several wrappers of the CUDA API already exist–so what’s so special about
  PyCUDA?

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #! /usr/bin/make -f
 
-PACKAGE_NAME=python-pycuda
+PACKAGE_DIR=$(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-pycuda
+INSTALL_DIR=$(CURDIR)/debian/tmp/
+PYTHON2=$(shell pyversions -vr)
+PYTHON3=$(shell py3versions -vr)
 
 %:
 	dh $@ --with python2,sphinxdoc
@@ -15,7 +18,11 @@
 	$(MAKE) -C doc html
 
 override_dh_auto_install:
-	dh_auto_install --buildsystem=python_distutils --destdir=debian/$(PACKAGE_NAME)
+	set -e; \
+	for python in $(PYTHON2); do \
+		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
+	done
+	dh_numpy
 
 override_dh_compress:
 	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv
@@ -23,7 +30,7 @@
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=a6b0a7589c5cb0a4dad35df5f2b66d6d374eefe5
+GIT_REVISION=v2012.1
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=http://git.tiker.net/trees/pycuda.git

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pycuda/pycuda-(.+)\.tar\.gz

## pycuda 2013.1~git20130626

=== debian/changelog ===
pycuda (2013.1~git20130626-1ubuntu1) saucy; urgency=low

  * Build-depend on nvidia-current | libcuda-5.0-1 (LP: #1129409).
  * Locate current Nvidia driver directory using /etc/ld.so.conf.d.

 -- Graham Inggs <graham@nerve.org.za>  Sun, 14 Jul 2013 12:22:51 +0200

pycuda (2013.1~git20130626-1) unstable; urgency=low

  * New upstream release, adding new CURAND support.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 30 Jun 2013 18:10:45 +0200

pycuda (2013.1~git20130616-1) unstable; urgency=low

  * New upstream release.
  * Add Python 3 package.
  * Add *-dbg packages.
  * Remove *-headers package; upstream now ships headers in python directory.
  * Upstream switched to setuptools, update patches to deal with it.
  * Do not call dh_sphinxdoc for architecture dependent builds, build
    documentation in separate step in debian/rules.
  * Fix CUDA library build-dependencies, remove old libcuda1-dev.
  * Add README.source describing get-orig-source in debian/rules.
  * Disable package optimisation option as it might clash with hardening
    compile options.
  * Include tests (all files in test/) in documentation package.
  * Fix VCS-* fields to contain canonical URIs.
  * Update Standards-Version to 3.9.4; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 20 Jun 2013 19:41:29 +0200

=== debian/control ===
Source: pycuda
Section: contrib/python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
Build-Depends: debhelper (>= 9),
 python-all-dev,
 python-all-dbg,
 python3-all-dev,
 python3-all-dbg,
 python-setuptools,
 python3-setuptools,
 libcuda1 | nvidia-current | libcuda-5.0-1,
 nvidia-cuda-toolkit,
 libboost-python-dev,
 libboost-thread-dev,
 mesa-common-dev,
 python-numpy (>= 1:1.4.1-4~),
 python3-numpy,
 python-sphinx (>= 1.0.7+dfsg),
 python3-sphinx (>= 1.0.7+dfsg),
 python-pytools (>= 2011.5),
 python3-pytools
Standards-Version: 3.9.4
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
Homepage: http://mathema.tician.de/software/pycuda
Vcs-Git: git://anonscm.debian.org/collab-maint/python-pycuda.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-pycuda.git

Package: python-pycuda
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 nvidia-cuda-toolkit,
 python-numpy,
 python-pytools (>= 2011.5)
Recommends: python-pycuda-doc,
 python-mako
Suggests: python-pytest,
 python-opengl,
 python-matplotlib,
 python-pycuda-dbg
Replaces: python-pycuda-headers
Description: Python module to access Nvidia‘s CUDA parallel computation API
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.

Package: python-pycuda-dbg
Section: contrib/debug
Priority: extra
Architecture: amd64 i386
Depends: python-pycuda (= ${binary:Version}), python-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
Description: Python module to access Nvidia‘s CUDA API (debug extensions)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains debug extensions build for the Python debug interpreter.

Package: python3-pycuda
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 nvidia-cuda-toolkit,
 python3-numpy,
 python3-pytools
Recommends: python-pycuda-doc,
 python3-mako
Suggests: python3-pytest,
 python3-opengl,
 python3-matplotlib,
 python3-pycuda-dbg
Replaces: python-pycuda-headers
Description: Python 3 module to access Nvidia‘s CUDA parallel computation API
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains Python 3 modules.

Package: python3-pycuda-dbg
Section: contrib/debug
Priority: extra
Architecture: amd64 i386
Depends: python3-pycuda (= ${binary:Version}), python3-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: Python 3 module to access Nvidia‘s CUDA API (debug extensions)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains debug extensions for the Python 3 debug interpreter.

Package: python-pycuda-doc
Section: contrib/doc
Architecture: all
Depends: ${sphinxdoc:Depends},
 ${misc:Depends}
Recommends: python-pycuda,
 python3-pycuda,
 nvidia-cuda-doc
Description: module to access Nvidia‘s CUDA computation API (documentation)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains HTML documentation and example scripts.

=== debian/rules ===
--- 
+++ 
@@ -4,39 +4,77 @@
 INSTALL_DIR=$(CURDIR)/debian/tmp/
 PYTHON2=$(shell pyversions -vr)
 PYTHON3=$(shell py3versions -vr)
+UBUNTU_NVIDIA_DIR=$(shell sed -n '/^\/usr\/lib\//{p;q}' /etc/ld.so.conf.d/$(DEB_BUILD_MULTIARCH)_GL.conf)
+
+ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
+DEB_CXXFLAGS_MAINT_STRIP=-O2
+DEB_CXXFLAGS_MAINT_APPEND=-O0
+endif
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python2,python3,sphinxdoc
 
 override_dh_auto_configure:
 	./configure.py --boost-python-libname=boost_python-py \
 		--boost-thread-libname=boost_thread \
-		--cuda-root=/usr --cuda-enable-gl
+		--cuda-root=/usr --cuda-enable-gl \
+		--cudadrv-lib-dir=$(UBUNTU_NVIDIA_DIR)
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=python_distutils
-	$(MAKE) -C doc html
+	set -e; \
+	for python in $(PYTHON3); do \
+		python$$python setup.py build ; \
+		python$$python-dbg setup.py build ; \
+	done
 
 override_dh_auto_install:
 	set -e; \
 	for python in $(PYTHON2); do \
 		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
 	done
+	set -e; \
+	for python in $(PYTHON2); do \
+		python$$python-dbg setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
+	done
+	set -e; \
+	for python in $(PYTHON3); do \
+		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
+	done
+	set -e; \
+	for python in $(PYTHON3); do \
+		python$$python-dbg setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
+	done
 	dh_numpy
+	dh_numpy3
+
+override_dh_installdocs:
+	$(MAKE) -C doc html
+	dh_installdocs
+
+# Sphinx documentation is architecture-independent
+override_dh_sphinxdoc-arch:
 
 override_dh_compress:
 	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv
 
+override_dh_strip:
+ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
+	dh_strip -ppython-pycuda --dbg-package=python-pycuda-dbg
+	dh_strip -ppython3-pycuda --dbg-package=python3-pycuda-dbg
+endif
+
+
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=v2012.1
+GIT_REVISION=ff35f2bee0d2e0ed8683d4f15bd46ce4ecc8554a
 GIT_SUBMODULES=pycuda/compyte
-GIT_URL=http://git.tiker.net/trees/pycuda.git 
+GIT_URL=http://git.tiker.net/trees/pycuda.git
 
 get-orig-source:
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
-	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
+	git clone --depth 0 $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
 	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/examples/.gitignore

## pycuda 2013.1.1%2Bgit20140310

=== debian/changelog ===
pycuda (2013.1.1+git20140310-1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable. (LP: #1289463)
  * d/control:
    - Add alternate build-depends on libcuda-5.5-1

 -- Graham Inggs <graham@nerve.org.za>  Sun, 13 Apr 2014 09:27:10 +0200

pycuda (2013.1.1+git20140310-1) unstable; urgency=low

  * New upstream version.
  * Change python-pycuda-doc recommendation of Python and Python 3 packages
    to suggestions to avoid installing unwanted packages, like in #739173.
  * Rebuild with Python 3.4 support.
  * Update Standards-Version to 3.9.5; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 22 Mar 2014 18:57:13 +0100

pycuda (2013.1.1+git20131128-1) unstable; urgency=low

  * New upstream version.
  * Rebuild against CUDA 5.5 (Closes: #730263).

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 28 Nov 2013 19:46:55 +0100

pycuda (2013.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Wed, 17 Jul 2013 20:18:58 +0200

pycuda (2013.1~git20130626-1ubuntu3) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:31:31 +0000

pycuda (2013.1~git20130626-1ubuntu2) trusty; urgency=low

  * No change rebuild against Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 29 Oct 2013 10:10:19 +0000

## pycuda 2013.1.1+git20140310

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*

html:
	mkdir -p build/html build/doctrees source/.static
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all-dbg,
  python-setuptools,
  python3-setuptools,
- libcuda1 | nvidia-current | libcuda-5.0-1,
+ libcuda1 | libcuda-5.5-1,
  nvidia-cuda-toolkit,
  libboost-python-dev,
  libboost-thread-dev,
@@ -21,9 +21,9 @@
  python3-sphinx (>= 1.0.7+dfsg),
  python-pytools (>= 2011.5),
  python3-pytools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-pycuda.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-pycuda.git
@@ -153,9 +153,9 @@
 Architecture: all
 Depends: ${sphinxdoc:Depends},
  ${misc:Depends}
-Recommends: python-pycuda,
- python3-pycuda,
- nvidia-cuda-doc
+Recommends: nvidia-cuda-doc
+Suggests: python-pycuda,
+ python3-pycuda
 Description: module to access Nvidia‘s CUDA computation API (documentation)
  PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
  Several wrappers of the CUDA API already exist–so what’s so special about

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 INSTALL_DIR=$(CURDIR)/debian/tmp/
 PYTHON2=$(shell pyversions -vr)
 PYTHON3=$(shell py3versions -vr)
-UBUNTU_NVIDIA_DIR=$(shell sed -n '/^\/usr\/lib\//{p;q}' /etc/ld.so.conf.d/$(DEB_BUILD_MULTIARCH)_GL.conf)
 
 ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 DEB_CXXFLAGS_MAINT_STRIP=-O2
@@ -17,8 +16,7 @@
 override_dh_auto_configure:
 	./configure.py --boost-python-libname=boost_python-py \
 		--boost-thread-libname=boost_thread \
-		--cuda-root=/usr --cuda-enable-gl \
-		--cudadrv-lib-dir=$(UBUNTU_NVIDIA_DIR)
+		--cuda-root=/usr --cuda-enable-gl
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=python_distutils
@@ -68,13 +66,13 @@
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=ff35f2bee0d2e0ed8683d4f15bd46ce4ecc8554a
+GIT_REVISION=9e071c605ae3b7a4366ad81e2d51697da9d2655b
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=http://git.tiker.net/trees/pycuda.git
 
 get-orig-source:
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
-	git clone --depth 0 $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
+	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
 	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/examples/.gitignore

## pycuda 2014.1

=== debian/changelog ===
pycuda (2014.1-3) unstable; urgency=medium

  * Add dependency to appdirs and use it to create cache directories
    (Closes: #770689).

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 29 Nov 2014 11:56:04 +0100

pycuda (2014.1-2) unstable; urgency=medium

  * Install OpenGL and sparse modules files for both Python 2 and 3.
  * Fix problems with debian/copyright pointed by lintian.
  * Update Standards-Version to 3.9.6; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 05 Oct 2014 18:35:48 +0200

pycuda (2014.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove dependency on libcuda1, leaving nvidia-cuda-toolkit dependency,
    which depend on libcuda1 (Closes: #749428).
  * Change d/rules get-orig-source to pack *.orig.tar with xz, not with gzip.
  * Change d/control to note that upstream stopped supporting Python 2.5.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 24 Aug 2014 16:23:29 +0200

pycuda (2013.1.1+git20140527-1) unstable; urgency=medium

  * New upstream version.
  * Fix Vcs-Browser link (Closes: #749489).
  * Rebuild to remove Python 3.3 dependency (Closes: #750886).

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 08 Jun 2014 11:34:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pycuda
 Section: contrib/python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
  python-all-dev,
  python-all-dbg,
@@ -10,7 +9,6 @@
  python3-all-dbg,
  python-setuptools,
  python3-setuptools,
- libcuda1 | libcuda-5.5-1,
  nvidia-cuda-toolkit,
  libboost-python-dev,
  libboost-thread-dev,
@@ -21,17 +19,18 @@
  python3-sphinx (>= 1.0.7+dfsg),
  python-pytools (>= 2011.5),
  python3-pytools
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.5
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-pycuda.git
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-pycuda.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pycuda.git
 
 Package: python-pycuda
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  nvidia-cuda-toolkit,
+ python-appdirs,
  python-numpy,
  python-pytools (>= 2011.5)
 Recommends: python-pycuda-doc,
@@ -91,6 +90,7 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  nvidia-cuda-toolkit,
+ python3-appdirs,
  python3-numpy,
  python3-pytools
 Recommends: python-pycuda-doc,

=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=9e071c605ae3b7a4366ad81e2d51697da9d2655b
+GIT_REVISION=v2014.1
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=http://git.tiker.net/trees/pycuda.git
 
@@ -77,6 +77,6 @@
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/examples/.gitignore
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.gitignore
-	tar czf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
+	tar caf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.xz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)

## pycuda 2015.1.3

=== debian/changelog ===
pycuda (2015.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Do not build CUDAND extensions on i386 as CUDA does not provide library;
    thanks for Andreas Beckmann for fixing patch.
  * Move to pybuild as build system, simplifying d/rules.
  * Add versions to some of Python dependencies.
  * Refresh fix-setup.patch.
  * Build for Python 3.5.
  * Build with CUDA 6.5, GCC 5, and Boost 1.58 (Closes: #800389).
  * Build documentation with Sphinx 1.3, increasing build reproducibility.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Fri, 02 Oct 2015 09:58:19 +0200

pycuda (2015.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Make the build reproducible by correctly passing changelog
    date to Sphinx - thanks to Juan Picca for patch.
  * Fix debian/watch to work with PyPI.
  * Fix problems with d/copyright pointed by lintian.
  * Add dh-python to Build-Depends.
  * Patch documentation to use MathJax from package, not from the network.
  * Drop use-appdirs.patch, merged by upstream.
  * Refresh other patches.
  * Do not put undistributed tests into documentation package.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 09 Jul 2015 21:15:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
+ dh-python,
  python-all-dev,
  python-all-dbg,
  python3-all-dev,
@@ -30,8 +31,9 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  nvidia-cuda-toolkit,
- python-appdirs,
+ python-appdirs (>= 1.4.0),
  python-numpy,
+ python-decorator (>= 3.2.0),
  python-pytools (>= 2011.5)
 Recommends: python-pycuda-doc,
  python-mako
@@ -90,8 +92,9 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  nvidia-cuda-toolkit,
- python3-appdirs,
+ python3-appdirs (>= 1.4.0),
  python3-numpy,
+ python3-decorator (>= 3.2.0),
  python3-pytools
 Recommends: python-pycuda-doc,
  python3-mako
@@ -152,7 +155,9 @@
 Section: contrib/doc
 Architecture: all
 Depends: ${sphinxdoc:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ libjs-mathjax,
+ fonts-mathjax
 Recommends: nvidia-cuda-doc
 Suggests: python-pycuda,
  python3-pycuda

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_DESTDIR_python2=debian/python-pycuda/
export PYBUILD_DESTDIR_python2-dbg=debian/python-pycuda-dbg/
export PYBUILD_DESTDIR_python3=debian/python3-pycuda/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-pycuda-dbg/

ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CXXFLAGS_MAINT_STRIP=-O2
DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_configure:
	./configure.py --boost-python-libname=boost_python-py \
		--boost-thread-libname=boost_thread \
		--cuda-root=/usr --cuda-enable-gl \
		$(if $(filter $(DEB_HOST_ARCH),i386),--no-cuda-enable-curand)

override_dh_auto_install:
	dh_auto_install
	dh_numpy
	dh_numpy3

override_dh_installdocs:
	$(MAKE) -C doc html SPHINXOPTS="$(SPHINXOPTS)"
	dh_installdocs

# Sphinx documentation is architecture-independent
override_dh_sphinxdoc-arch:

# Do not run test automatically - they require CUDA-capable hardware
override_dh_auto_test:

override_dh_compress:
	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pycuda --dbg-package=python-pycuda-dbg
	dh_strip -ppython3-pycuda --dbg-package=python3-pycuda-dbg
endif


MODULE_NAME=pycuda
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
	| sed -rne 's/^Version: ([^-]+).*/\1/p')
GIT_REVISION=v2015.1.3
GIT_SUBMODULES=pycuda/compyte
GIT_URL=http://git.tiker.net/trees/pycuda.git

get-orig-source:
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/examples/.gitignore
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.gitignore
	tar caf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.xz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)

## pycuda 2016.1

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD   = python `which sphinx-build`
 PAPER         =
 
 # Internal variables.

=== debian/changelog ===
pycuda (2016.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop i386 support as it was dropped by NVIDIA in CUDA 7.0. 
  * Update Standards-Version to 3.9.7; no changes necessary.
  * Change Vcs-* links to use https.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 27 Mar 2016 17:53:59 +0200

=== debian/control ===
--- 
+++ 
@@ -20,15 +20,15 @@
  python3-sphinx (>= 1.0.7+dfsg),
  python-pytools (>= 2011.5),
  python3-pytools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pycuda
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-pycuda.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pycuda.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pycuda.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pycuda.git
 
 Package: python-pycuda
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  nvidia-cuda-toolkit,
  python-appdirs (>= 1.4.0),
@@ -64,7 +64,7 @@
 Package: python-pycuda-dbg
 Section: contrib/debug
 Priority: extra
-Architecture: amd64 i386
+Architecture: amd64
 Depends: python-pycuda (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 Description: Python module to access Nvidia‘s CUDA API (debug extensions)
@@ -89,7 +89,7 @@
  This package contains debug extensions build for the Python debug interpreter.
 
 Package: python3-pycuda
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  nvidia-cuda-toolkit,
  python3-appdirs (>= 1.4.0),
@@ -127,7 +127,7 @@
 Package: python3-pycuda-dbg
 Section: contrib/debug
 Priority: extra
-Architecture: amd64 i386
+Architecture: amd64
 Depends: python3-pycuda (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 Description: Python 3 module to access Nvidia‘s CUDA API (debug extensions)

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,7 @@
 override_dh_auto_configure:
 	./configure.py --boost-python-libname=boost_python-py \
 		--boost-thread-libname=boost_thread \
-		--cuda-root=/usr --cuda-enable-gl \
-		$(if $(filter $(DEB_HOST_ARCH),i386),--no-cuda-enable-curand)
+		--cuda-root=/usr --cuda-enable-gl
 
 override_dh_auto_install:
 	dh_auto_install
@@ -53,7 +52,7 @@
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=v2015.1.3
+GIT_REVISION=v2016.1
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=http://git.tiker.net/trees/pycuda.git

=== debian/watch ===
version=3
http://pypi.debian.net/pycuda/pycuda-(.+)\.tar\.gz

## pycuda 2016.1.2+git20160809

=== debian/changelog ===
pycuda (2016.1.2+git20160809-1ubuntu1) yakkety; urgency=medium

  * Include upstream's fix for test suite with CUDA 8.0.
  * Rebuild for CUDA 8.0.

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Oct 2016 03:05:24 +0200

pycuda (2016.1.2+git20160809-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8; no changes necessary.
  * Build Sphinx documentation using Python 3.
  * Refresh patches.
  * Update debian/copyright links as upstream changed them.
  * Rebuild with new Boost and Sphinx.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 11 Sep 2016 14:16:13 +0200

pycuda (2016.1-1build2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:30:24 +0000

pycuda (2016.1-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:48:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pycuda
 Section: contrib/python
 Priority: optional
-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
  dh-python,
  python-all-dev,
@@ -20,7 +21,7 @@
  python3-sphinx (>= 1.0.7+dfsg),
  python-pytools (>= 2011.5),
  python3-pytools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pycuda

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=v2016.1
+GIT_REVISION=7adcef8e6add170a8510021595295fd1e4c5343c
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=http://git.tiker.net/trees/pycuda.git

## pycuda 2016.1.2+git20161024

=== debian/changelog ===
pycuda (2016.1.2+git20161024-1build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:39:57 +0000

pycuda (2016.1.2+git20161024-1build1) artful; urgency=medium

  * Rebuild to add python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 May 2017 18:53:24 +0530

pycuda (2016.1.2+git20161024-1) unstable; urgency=medium

  * New upstream release (Closes: #842035).
  * Build with CUDA 8.0.
  * Set Multi-Arch: foreign for documentation package.
  * Set compatibility level to 10; no changes necessary.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 27 Oct 2016 22:21:24 +0200

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=7adcef8e6add170a8510021595295fd1e4c5343c
+GIT_REVISION=50457813cfe3eb359a230c4e1e546ccdef9947f8
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=http://git.tiker.net/trees/pycuda.git
